> For the complete documentation index, see [llms.txt](https://docs.flxbl.io/flxbl/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flxbl.io/flxbl/sfp/building-artifacts/configuring-installation-behaviour-of-a-package/reconciling-profiles.md).

# Reconciling Profiles

<table><thead><tr><th width="229">Attribute</th><th>Type</th><th>Description</th><th>Package Types Applicable</th></tr></thead><tbody><tr><td>reconcileProfiles</td><td>boolean</td><td>Reconcile profiles to only apply permissions to objects, fields and features that are present in the target org.</td><td><ul><li>source</li><li>diff</li></ul></td></tr></tbody></table>

In order to prevent deployment errors to target Salesforce Orgs, enabling **reconcileProfiles** to`true` ensures and extra steps are taken to ensure the profile metadata is cleansed of any missing attributes prior to deployment.

During the reconcilement process, you can provide the follow flags to the command:

* Folder - path to the folder which contains the profiles to be reconciled, if project contain multiple package directories, please provide a comma separated list, if
* Profile List - list of profiles to be reconciled. If omitted, all the profiles components will be reconciled.
* Source Only - set this flag to reconcile profiles only against component available in the project only. Configure ignored permissions in sfdx-project.json file in the array
* Destination Folder - the destination folder for reconciled profiles, if omitted existing profiles will be reconciled and will be rewritten in the current location

For more details on the`sfp profile reconcile` command, [click here](/flxbl/sfp/cli-reference-v50-and-below/utilities/profile.md).

```
// Sample package 

{
  "packageDirectories": [
      {    
      "path": "packages/access-mgmt",
      "package": "access-mgmt",
      "default": false,
      "versionName": "access-mgmt",
      "versionNumber": "1.0.0.0",
      "reconcileProfiles": "true"
    }

```

{% hint style="info" %}
For more a more detailed understanding of the ProfileReconcile library, visit the GitHub repository "[sfprofiles](https://github.com/flxbl-io/sfprofiles)" for details of on the [`source`](https://github.com/flxbl-io/sfprofiles/blob/main/src/impl/source/profileReconcile.ts).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flxbl.io/flxbl/sfp/building-artifacts/configuring-installation-behaviour-of-a-package/reconciling-profiles.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
